Bug 880529 - [ja_JP][SAM CLI] Local strings displayed as garbage in pdf report for system report module.
[ja_JP][SAM CLI] Local strings displayed as garbage in pdf report for system ...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
x86_64 Linux
medium Severity medium
: rc
: 2.0
Assigned To: Tom McKay
SAM QE List
: i18n, Translation, Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2012-11-27 04:07 EST by Lijun Li
Modified: 2014-05-21 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-21 16:09:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
headpin_systems_reports.pdf (27.58 KB, image/png)
2012-11-27 04:12 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-11-27 04:07:13 EST
Description of problem:
Local strings displayed as garbage in pdf report for system report module.

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
[root@i18nsamtest ~]# headpin -u admin -p admin system report --org=test --environment=test --format=pdf
[root@i18nsamtest ~]# ls
headpin_systems_report.pdf 

# headpin -u admin -p admin system report --org=test --environment=test --format=test
+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
|          name          |                 uuid                 | location | organization | environment |       created       |       updated       | compliance | compliant until | custom info |
+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| i18nsamtest.redhat.com | a891935b-9b5e-4fc4-a7b5-3154a7330b35 | なし   | test         | test        | 2012-11-27 06:42:49 | 2012-11-27 06:42:49 | green      | 2013-10-30      |             |
+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+


Actual results:
Local strings displayed as garbage in pdf report  for system report module, please refer to the attached pdf report screenshot.

Expected results:
The local strings should be displayed correctly in pdf report same as text,csv, html report.

Additional info:
Comment 1 Lijun Li 2012-11-27 04:12:56 EST
Created attachment 652544 [details]
headpin_systems_reports.pdf
Comment 2 Tom McKay 2012-12-18 09:11:58 EST
Mass moving i18n BZs to CFSE where they are also present
Comment 4 Tom McKay 2014-05-21 16:09:03 EDT
Report module no longer present in Satellite-6

Note You need to log in before you can comment on or make changes to this bug.